Page MenuHomePhabricator

Expose the production citoid service publicly so we can start switching scripts over to use it
Closed, ResolvedPublic8 Story Points

Description

AFAICT this hasn't been done yet?

Event Timeline

Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Krenair added a subscriber: Krenair.Dec 6 2014, 9:02 PM

Change 178419 had a related patch set uploaded (by Catrope):
Expose citoid through misc-web

https://gerrit.wikimedia.org/r/178419

Patch-For-Review

Krinkle moved this task from Scheduled to blocked by Operations on the Scrum-of-Scrums board.
Krinkle added a subscriber: Krinkle.

Hello,

So I am a bit unclear on this and the two tasks listed as blocked (T62768 and T67540) did not make it any more clear for me. So here's the question:

We want citoid to be publicly available as an endpoint so that Cite and VisualEditor to directly query it, right ?

I assume, Cite is this: http://www.mediawiki.org/wiki/Extension:Cite in which case I am wondering why a Mediawiki Extension can not query an internal endpoint (namely citoid.svc.eqiad.wmnet). I am not at all familiar with Cite so it might be javascript, served by Cite, that runs on the user's browser that does the querying at which point what this ticket asks make sense.

Same thing goes for VisualEditor, I just want to clarify what/who will be doing the endpoint query. Is the situation different than Cite ? And if yes, how ?

As as side note and since I mentioned javascript, what about same origin policy ? Will that end up being a problem ?

Citoid !== Cite, they're totally different.

However, Gabriel said he would work on setting up a services Varnish thing as part of setting up RESTbase, and Citoid could hitch a ride on that. So this ticket should have been marked as blocked on services, instead it was marked as blocked on ops by mistake.

Under normal circumstances I would have attended SoS yesterday and would have known to file this correctly, but I wasn't able to make it.

Catrope reassigned this task from Catrope to GWicke.Dec 18 2014, 2:57 PM
Catrope added a subscriber: Catrope.

Change 178419 abandoned by Catrope:
Expose citoid through misc-web

Reason:
Forgot to abandon this. Gabriel said he'd work on caching infra for the entire services cluster, which they need for RESTbase, but which Citoid would then also use once it's done.

https://gerrit.wikimedia.org/r/178419

Krinkle removed a subscriber: Krinkle.Dec 21 2014, 4:13 AM

Change 184904 had a related patch set uploaded (by Jforrester):
Re-use Parsoid Varnishes for citoid too

https://gerrit.wikimedia.org/r/184904

Patch-For-Review

Change 184904 merged by Alexandros Kosiaris:
Re-use Parsoid Varnishes for citoid too

https://gerrit.wikimedia.org/r/184904

akosiaris edited a custom field.Jan 24 2015, 12:11 AM
Jdforrester-WMF closed this task as Resolved.Jan 24 2015, 4:52 AM

Thank you everyone. :-)

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 27 2015, 5:19 AM
Jdforrester-WMF edited a custom field.Feb 2 2015, 7:47 PM

Er, I added the above commit 1,5 years ago.. not sure what just happened here...

jayvdb added a subscriber: jayvdb.Apr 28 2016, 9:52 AM

My guess it the problem was T133830 or similar.